Subject: Re: bug#30449: imenu contains redundant '*Rescan*' item with auto refresh

From: Lars Ingebrigtsen <[email-masked]>
Date: Fri, 20 Sep 2019 15:02:18 +0200

Matthew Newton <[email-masked]> writes:

> I don’t know the codebase at all and I just spent a couple minutes looking at it. But shouldn’t imenu--make-index-alist always return a list? So the last lines would be:
>
> (if imenu-auto-rescan
>       imenu--index-alist
>     ;; Add a rescan option to the index.
>     (cons imenu--rescan-item imenu--index-alist))

Yes, that looks like the correct fix.  I've now applied it to the Emacs
trunk.

-- 
(domestic pets only, the antidote for overdose, milk.)
   bloggy blog: http://lars.ingebrigtsen.no